GCLOUD_COMPUTE_URL-MAPS_CREATE(1)

NAME

gcloud compute url-maps create - create a URL map

SYNOPSIS

gcloud compute url-maps create NAME --default-service DEFAULT_SERVICE [--description DESCRIPTION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute url-maps create is used to create URL maps which map HTTP and HTTPS request URLs to backend services. Mappings are done using a longest-match strategy. There are two components to a mapping: a host rule and a path matcher. A host rule maps one or more hosts to a path matcher. A path matcher maps request paths to backend services. For example, a host rule can map the hosts .google.com and google.com to a path matcher called www. The www path matcher in turn can map the path /search/ to the search backend service and everything else to a default backend service. Host rules and patch matchers can be added to the URL map after the map is created by using 'gcloud compute url-maps edit' or by using 'gcloud compute url-maps add-path-matcher' and 'gcloud compute url-maps add-host-rule'.

POSITIONAL ARGUMENTS
NAME
    The name of the URL map.

REQUIRED FLAGS
--default-service DEFAULT_SERVICE
    A backend service that will be used for requests for which this URL map has no mappings.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description for the URL map.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.